## google-compute-engine-oslogin 20200925.00

=== debian/changelog ===
google-compute-engine-oslogin (20200925.00-0ubuntu3~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic
  * Require debhelper 10 only with compat level 10

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 13 Oct 2020 23:17:45 +0200

google-compute-engine-oslogin (20200925.00-0ubuntu3) groovy; urgency=medium

  * New upstream version 20200925.00 (LP: #1899629)
    - Support security key generated OTP challenges
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 13 Oct 2020 15:26:47 +0200

google-compute-engine-oslogin (20200507.00-0ubuntu2) groovy; urgency=medium

  * Set debhelper-compat version in Build-Depends and bump it to 12
  * debian/rules: Don't use --with=systemd, it is default the with
    compat level 10 and up.
  * debian/control: Bump Standards-Version, no changes were required

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 04 Aug 2020 08:41:39 +0200

google-compute-engine-oslogin (20200507.00-0ubuntu1) groovy; urgency=medium

  * Switch to new upstream repository of split off oslogin, rename the
    source package and ship only oslogin (LP: #1885905)
  * New upstream version 20200507.00
  * Refresh patches
  * Update packaging to build and ship only OS Login
  * debian/changelog: Add missing changelog entries

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Jul 2020 15:49:57 +0200

gce-compute-image-packages (20190801-0ubuntu5) groovy; urgency=medium

  * Disable automatic adding of groups to all users (LP: #1878654)
    - d/p/0006-Remove-OS-Login-users-from-admin-groups.-29.patch: remove
      adm, docker, and lxd groups
    - d/p/0007-Remove-local-user-groups-for-OS-Login-users.-30.patch:
      remove dip and plugdev groups

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 May 2020 15:25:37 -0700

gce-compute-image-packages (20190801-0ubuntu4) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:01:26 +0000

gce-compute-image-packages (20190801-0ubuntu3) focal; urgency=medium

  * Stop build the Python2 packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 18:33:02 +0100

gce-compute-image-packages (20190801-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:33:32 +0000

gce-compute-image-packages (20190801-0ubuntu1~18.04.1) bionic; urgency=medium

  * Disable automatic adding of groups to all users (LP: #1878654)
    - d/p/0006-Remove-OS-Login-users-from-admin-groups.-29.patch: remove
      adm, docker, and lxd groups
    - d/p/0007-Remove-local-user-groups-for-OS-Login-users.-30.patch:
      remove dip and plugdev groups

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 May 2020 16:44:15 -0700

gce-compute-image-packages (20190801-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Aug 2019 21:57:58 +0200

gce-compute-image-packages (20190801-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190801 (LP: #1840245)
    - Add manpages for NSS modules
    - Switch to the v1 Guest Attributes URL
    - Support Google Private Access over IPv6
  * Refresh patches
  * Fix running tests
  * Keep setting multiarch libdir with the changes upstream Makefiles
  * Update shared library symlinks
  * Don't try to set noop scheduler for partitions (LP: #1833660)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Aug 2019 19:36:10 +0200

gce-compute-image-packages (20190522-0ubuntu2) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:58:02 +0200

gce-compute-image-packages (20190522-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 12:41:41 +0200

gce-compute-image-packages (20190522-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190522 (LP: #1831436)
    - Encode hostkey value to utf-8 (needed for Python 3)
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 11:35:43 +0200

gce-compute-image-packages (20190521-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 May 2019 13:29:21 +0200

gce-compute-image-packages (20190521-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190521 (LP: #1830194)
    - Fix pam_group ordering detection
    - Restart cron on OS Login control
    - Add PAM entry to su:account stack
    - Retry download for metadata scripts
    - Fix script retrieval in python3
    - Disable boto config in python3
    - Update SSH host keys in guest attributes.
    - Fix XPS settings with more than 64 vCPUs
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 22 May 2019 18:53:01 +0200

gce-compute-image-packages (20190315-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:11:21 +0200

gce-compute-image-packages (20190315-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190315 (LP: #1824212)
    - Reorganize source tree
    - Use pam_group with OS Login
    - Set oom_score_adjust for google-accounts daemon
    - Restrict permissions for google-oslogin sudoers
    - Add OS Login support for Google prompt challenges
    - Bug fixes
  * Refresh patches
  * Adjust packaging to upstream tree reorganization
  * Ship google_set_hostname as a command, not just as an dhclient exit hook
    matching upstream's choice
  * Don't ship journalctl configuration snippet to forward log to console
  * Update shared library symlinks
  * Ignore absolute symlinks in the source package to keep Lintian happy

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 13:57:26 +0200

gce-compute-image-packages (20190124+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic


