=== debian/changelog ===
google-compute-engine-oslogin (20210122.00-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert to using dh-systemd because Xenial does not have the debhelper
      version making dh-systemd obsolete
    - Revert to compat mode 9 requiring only debhelper 9
    - Build-depend on libboost-regex-dev for regex support
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Jan 2021 11:58:12 +0100

google-compute-engine-oslogin (20210122.00-0ubuntu1) hirsute; urgency=medium

  * debian/gbp.conf: Add basic gbp config
  * New upstream version 20210122.00 (LP: #1913049)
    - call correct function in pwenthelper

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Jan 2021 11:51:32 +0100

google-compute-engine-oslogin (20210108.00-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert to using dh-systemd because Xenial does not have the debhelper
      version making dh-systemd obsolete
    - Revert to compat mode 9 requiring only debhelper 9
    - Build-depend on libboost-regex-dev for regex support
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 14 Jan 2021 09:39:31 +0100

google-compute-engine-oslogin (20210108.00-0ubuntu1) hirsute; urgency=medium

  * New upstream version 20210108.00 (LP: #1911633)
    - Update logic in the cache_refresh binary
  * Update shipped symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 14 Jan 2021 09:34:22 +0100

google-compute-engine-oslogin (20200925.00-0ubuntu3~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert to using dh-systemd because Xenial does not have the debhelper
      version making dh-systemd obsolete
    - Revert to compat mode 9 requiring only debhelper 9
    - Build-depend on libboost-regex-dev for regex support
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 14 Oct 2020 17:30:13 +0200

gce-compute-image-packages (20190801-0ubuntu1~16.04.1) xenial; urgency=medium

  * Disable automatic adding of groups to all users (LP: #1878654)
    - d/p/0006-Remove-OS-Login-users-from-admin-groups.-29.patch: remove
      adm, docker, and lxd groups
    - d/p/0007-Remove-local-user-groups-for-OS-Login-users.-30.patch:
      remove dip and plugdev groups

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 May 2020 17:05:31 -0700

gce-compute-image-packages (20190801-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Aug 2019 22:05:03 +0200

gce-compute-image-packages (20190522-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 12:41:41 +0200

gce-compute-image-packages (20190521-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 May 2019 13:29:21 +0200

gce-compute-image-packages (20190315-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Refresh patches
  * debian/rules: Work around dh-python ignoring PYBUILD_DIR

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:13:57 +0200

gce-compute-image-packages (20190124+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 14:38:44 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Revert ordering shutdown scripts after snapd.service.
    - Revert adding /snap/bin to PATH for startup/shutdown scripts
    - Revert to using dh-systemd because Xenial does not have the debhelper
    - Build-depend on libboost-regex-dev for regex support
      version making dh-systemd obsolete
    - Link with boost for regex support
    - Free tests from C++11 constructs to let them being compiled without
      C++11 support
  * Simply add -lboost_regex to LIBS instead of fixing Makefile and passing it
    from debian/rules. Setting -Wl,-z,defs broke the prior solution and
    upstreaming the Makefile fix did not go smooth anyway.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 07 Jan 2019 14:50:42 +0700

gce-compute-image-packages (20180905+dfsg1-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/patches/set-LDFLAGS-for-PAM.patch: Fix missing symbols
    when using oslogin due to misording of the boost regex library
    in linking the PAM modules. (LP: #1798706)

 -- Daniel Axtens <daniel.axtens@canonical.com>  Fri, 19 Oct 2018 12:35:45 +1100


