=== debian/control ===
Source: google-compute-engine-oslogin
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: admin
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               dh-systemd,
               libboost-regex-dev,
               libcurl4-openssl-dev,
               libgtest-dev,
               libjson-c-dev,
               libpam-dev
Standards-Version: 4.5.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>

Package: google-compute-engine-oslogin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openssh-server
Description: Google Compute Engine OS Login
 Contains libraries, applications and configurations for using OS Login
 on Google Compute Engine Virtual Machine Instances.
