=== debian/changelog ===
google-compute-engine-oslogin (20210429.00-0ubuntu1~20.10.0) groovy; urgency=medium

  * Backport to Groovy

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 18 May 2021 20:39:32 +0200

google-compute-engine-oslogin (20210429.00-0ubuntu1) impish; urgency=medium

  * New upstream version 20210429.00 (LP: #1928856)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 18 May 2021 20:28:49 +0200

google-compute-engine-oslogin (20210122.00-0ubuntu1~20.10.0) groovy; urgency=medium

  * Backport to Groovy

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Jan 2021 11:58:12 +0100

google-compute-engine-oslogin (20210108.00-0ubuntu1~20.10.0) groovy; urgency=medium

  * Backport to Groovy

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 14 Jan 2021 12:38:30 +0100
