=== debian/changelog ===
google-compute-engine-oslogin (20210907.00-1) unstable; urgency=medium

  * Initial release.

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 21 Sep 2021 12:19:19 +0200
