=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) PAMDIR=/lib/$(DEB_HOST_MULTIARCH)/security VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_test:
	$(MAKE) alltests
