=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Section: admin
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
-               dh-systemd,
-               libboost-regex-dev,
+               debhelper (>= 11),
                libcurl4-openssl-dev,
                libgtest-dev,
                libjson-c-dev,
