=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts=\
compression=xz,\
dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/google-compute-engine-oslogin-$1\.tar\.gz/ \
 https://github.com/GoogleCloudPlatform/guest-oslogin/tags .*/v?(\d\S*)\.tar\.gz
