=== debian/changelog ===
google-compute-engine-oslogin (20231004.00-0ubuntu5) oracular; urgency=medium

  * d/p/0002-inherit-cflags.patch: inherit environment's build flags
    (LP: #2071665).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 02 Jul 2024 10:15:17 +1200

google-compute-engine-oslogin (20231004.00-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:52 +1100

google-compute-engine-oslogin (20231004.00-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:24:53 +0000

google-compute-engine-oslogin (20231004.00-0ubuntu2) noble; urgency=medium

  * d/control: There must be a dependency on `google-guest-agent`
    to match the (upstream) Google managed d/control file (LP: #2052438)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 01 Feb 2024 00:06:38 +0000

google-compute-engine-oslogin (20231004.00-0ubuntu1) noble; urgency=medium

  * New upstream version 20231004.00. (LP: #2043001)
  * d/links: Update links w/ respective .so shipped

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 08 Nov 2023 10:19:01 +0200
