=== debian/changelog ===
google-compute-engine-oslogin (20240415.00-1) unstable; urgency=medium

  * New upstream release. (closes: #1041130)
  * Move all remaining files to /usr.

 -- Bastian Blank <waldi@debian.org>  Mon, 22 Apr 2024 09:01:53 +0200
