=== debian/control ===
Source: google-compute-engine-oslogin
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <team+cloud@tracker.debian.org>
Uploaders:
 Bastian Blank <bastian.blank@credativ.de>
Build-Depends:
 debhelper-compat (= 13),
 libcurl4-openssl-dev,
 libgtest-dev <!nocheck>,
 libjson-c-dev,
 libpam-dev,
Standards-Version: 4.6.0
Homepage: https://cloud.google.com/
Vcs-Browser: https://salsa.debian.org/waldi/google-compute-engine-oslogin
Vcs-Git: https://salsa.debian.org/waldi/google-compute-engine-oslogin.git
Rules-Requires-Root: no

Package: google-compute-engine-oslogin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Google Compute Engine OS Login
 Contains libraries, applications and configurations for using OS Login
 on Google Compute Engine Virtual Machine Instances.
