## google-compute-engine-oslogin 20240701.00

=== selinux/Makefile ===
# SELINUX POLICY
MOD_BASE = oslogin
SELINUX_MODULE_SRC = $(MOD_BASE).te
SELINUX_MOD_FILE = $(MOD_BASE).mod
SELINUX_FC_FILE = $(MOD_BASE).fc
SELINUX_MODULE = $(MOD_BASE).pp

all: $(SELINUX_MODULE)

$(SELINUX_MOD_FILE): $(SELINUX_MODULE_SRC)
	checkmodule -M -m -o $(SELINUX_MOD_FILE) $(SELINUX_MODULE_SRC)

$(SELINUX_MODULE): $(SELINUX_MOD_FILE)
	semodule_package -o $(SELINUX_MODULE) -m  $(SELINUX_MOD_FILE) -f $(SELINUX_FC_FILE)

clean:
	rm -f $(SELINUX_MODULE) $(SELINUX_MOD_FILE)
