=== debian/changelog ===
google-compute-engine-oslogin (20260116.00-0ubuntu1) resolute; urgency=medium

  * New upstream version for 20260116.00 (LP: #2139302)
    * Upstream issue #139 was also resolved so
      d/p/0002-inherit-cflags.patch is no longer needed.
      Also refreshed d/p/0001-set-LDFLAGS-to-prevent-undefs.patch

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 28 Jan 2026 16:26:53 +0000

google-compute-engine-oslogin (20240701.00-0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 11:08:15 +0100
